"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const extension = require("../../extension.js");
const installDataZoomSelect = require("../dataZoom/installDataZoomSelect.js");
const ToolboxModel = require("./ToolboxModel.js");
const ToolboxView = require("./ToolboxView.js");
const featureManager = require("./featureManager.js");
const SaveAsImage = require("./feature/SaveAsImage.js");
const MagicType = require("./feature/MagicType.js");
const DataView = require("./feature/DataView.js");
const Restore = require("./feature/Restore.js");
const DataZoom = require("./feature/DataZoom.js");
function install(registers) {
  registers.registerComponentModel(ToolboxModel.default);
  registers.registerComponentView(ToolboxView.default);
  featureManager.registerFeature("saveAsImage", SaveAsImage.default);
  featureManager.registerFeature("magicType", MagicType.default);
  featureManager.registerFeature("dataView", DataView.default);
  featureManager.registerFeature("dataZoom", DataZoom.default);
  featureManager.registerFeature("restore", Restore.default);
  extension.use(installDataZoomSelect.install);
}
exports.install = install;
